/**
 * 导入工具类
 * @param appType 组件类型
 * @param appName 组件名称
 * @param host 组件路径
 * @param version 组件版本
 * @returns {Promise<void>}
 */
export default async ( appName, appModule,appHost = `apps`, appVersion) => {
  appModule=appModule.length>0?`/${appModule}`:``
  //应用的公用默认路径配置
  const publicPathes = {
    development: "/",
    production: `/${appHost}${appModule}/${appName}/`
  };
  console.error(`@/${appHost}${appModule}/${appName}/plugin.js`)
  //根据启动环境获取对应的导入配置
  const _import = await import("./_import_" + process.env.NODE_ENV);
  //加载对应版本的应用
  let app = await _import.default( appName, appModule,appHost,appVersion);
  //对应的应用默认页面设置
  return app.default(publicPathes[process.env.NODE_ENV]);
};
