var loadjs = require("loadjs");
/**
 *  使用loadjs 动态加载指定程序模块
 * @param appName 模块名称
 * @param appModule 模块路径
 * @param appHost 模块路径
 * @param appVersion 模块版本
 * @returns {Promise<any>}
 */
export default ( appName, appModule, appHost='apps',appVersion) =>
  new Promise((resolve, reject) => {
    appModule=appModule.length>0?`/${appModule}`:``
    loadjs(`${appHost}${appModule}/${appName}/${appName}.js?v=${appVersion}`, {
      success: () => {
        window.APP_SUCCESS = window.APP_SUCCESS || [];
        window.APP_SUCCESS.push(appHost + "_"+appModule+'_'+appName);
        resolve({ default: window[appHost + "_"+appModule+'_'+appName].default });
      },
      error: err => {

        window.APP_FAILURE = window.APP_FAILURE || [];
        window.APP_FAILURE.push(appHost + "_"+appModule+'_'+appName);
        reject(err);
      }
    });
  });
